{
  description = "byte_lamination";

  inputs = {
    utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, utils }:
    utils.lib.eachDefaultSystem (system: let
      pkgs = nixpkgs.legacyPackages."${system}";
    in rec {
      # `nix develop`
      devShell = pkgs.mkShell {
        nativeBuildInputs =
          let
            rust-toolchain = pkgs.symlinkJoin {
              name = "rust-toolchain";
              paths = with pkgs; [rustc cargo rustfmt rustPlatform.rustcSrc];
            };
          in
            [
              rust-toolchain
            ];
      };
    });
}
